#
#(ie. use with rpm --rebuild):
#
#	--with debug	Compile with debugging code
# 
#  enable build with debugging code: will _not_ strip away any debugging code,
#  will _add_ -g3 to CFLAGS, will _add_ --enable-maintainer-mode to 
#  configure.

%define build_debug 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_debug: %{expand: %%define build_debug 1}}

%if %{build_debug}
# disable build root strip policy
%define __spec_install_post %{_libdir}/rpm/brp-compress || :

# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%define name	flood
%define version	1.0
%define snap	20021203
%define release	0.%{snap}.1mdk

Summary:	A benchmarking tool for Apache2
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://httpd.apache.org/test/flood/
License:	Apache License
Group:		System/Servers
Source0:	flood-%{snap}.tar.bz2
Source1:	flood.xml.bz2
Patch0:		flood-openssl-version.diff.bz2
#BuildRequires:	apr-devel
#BuildRequires:	apr-util-devel
BuildRequires:	apache2-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	libxslt-proc
Requires:	openssl
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Flood is a profile-driven HTTP load tester. It can be used to
gather important performance metrics for your website.

%prep

%setup -q -n flood
%patch0


%build
#########################################################################################
# configure and build phase
#

export WANT_AUTOCONF_2_5="1"

%serverbuild

export CFLAGS="%{optflags}"

# We need to re-run ./buildconf because of any applied patch(es)
./buildconf

%configure2_5x \
    --cache-file=config.cache \
%if %{build_debug}
    --enable-debug \
    --enable-maintainer-mode \
%endif
    --with-openssl=%{_includedir} \
    --enable-ssl \
    --with-capath=%{_sysconfdir}/ssl/flood

%make 

# make docs
bzcat %{SOURCE1} > flood.xml
mkdir -p manual
xsltproc -o manual/ %{_datadir}/sgml/docbook/xsl-stylesheets/xhtml/chunk.xsl flood.xml

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
#########################################################################################
# install phase
#

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/ssl/flood

# install flood
install -m0755 flood %{buildroot}%{_sbindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(644,root,root,755)
%doc CHANGES CONFIG DESIGN LICENSE STATUS examples manual
%dir %{_sysconfdir}/ssl/flood
%attr(0755,root,root) %{_sbindir}/flood

%changelog
* Tue May 11 2004 Oden Eriksson <oden.eriksson@mandrakesoft.com> 1.0-0.20021203.1mdk
- re-added into cooker
- added P0 (suse)
- added S1 from CVS
